## DIR

The `DIR` structure is used for the work area to read a directory by f_oepndir and f_readdir functions.

#### FatFs

    typedef struct _DIR {
        WORD    id;          /* Owner file system mount ID (inverted) */
        WORD    index;       /* Current index */
        FATFS*  fs;          /* Pointer to the owner file system object */
        DWORD   sclust;      /* Start cluster */
        DWORD   clust;       /* Current cluster */
        DWORD   sect;        /* Current sector */
    } DIR;

#### Tiny-FatFs

    typedef struct _DIR {
        WORD    id;          /* Owner file system mount ID (inverted) */
        WORD    index;       /* Current index */
        FATFS*  fs;          /* Pointer to the owner file system object */
        CLUST   sclust;      /* Start cluster */
        CLUST   clust;       /* Current cluster */
        DWORD   sect;        /* Current sector */
    } DIR;

Return